com.fasterxml.jackson.core.io

## Class NumberOutput

- java.lang.Object
- - com.fasterxml.jackson.core.io.NumberOutput

    public final class NumberOutput
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NumberOutput()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `notFinite(double value)` Helper method to verify whether given `double` value is finite (regular rational number} or not (NaN or Infinity).
`static boolean` `notFinite(float value)` Helper method to verify whether given `float` value is finite (regular rational number} or not (NaN or Infinity).
`static int` `outputInt(int v, byte[] b, int off)`
`static int` `outputInt(int v, char[] b, int off)` Method for appending value of given `int` value into specified `char[]`.
`static int` `outputLong(long v, byte[] b, int off)`
`static int` `outputLong(long v, char[] b, int off)` Method for appending value of given `long` value into specified `char[]`.
`static String` `toString(double v)`
`static String` `toString(float v)`
`static String` `toString(int v)`
`static String` `toString(long v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumberOutput

    public NumberOutput()

### Method Detail

#### outputInt

    public static int outputInt(int v,
                                char[] b,
                                int off)

Method for appending value of given `int` value into specified `char[]`.

NOTE: caller must guarantee that the output buffer has enough room for String representation of the value.

Parameters:
  `v` - Value to append to buffer
  `b` - Buffer to append value to: caller must guarantee there is enough room
  `off` - Offset within output buffer (`b`) to append number at
Returns:
  Offset within buffer after outputting `int`

#### outputInt

    public static int outputInt(int v,
                                byte[] b,
                                int off)

#### outputLong

    public static int outputLong(long v,
                                 char[] b,
                                 int off)

Method for appending value of given `long` value into specified `char[]`.

NOTE: caller must guarantee that the output buffer has enough room for String representation of the value.

Parameters:
  `v` - Value to append to buffer
  `b` - Buffer to append value to: caller must guarantee there is enough room
  `off` - Offset within output buffer (`b`) to append number at
Returns:
  Offset within buffer after outputting `long`

#### outputLong

    public static int outputLong(long v,
                                 byte[] b,
                                 int off)

#### toString

    public static String toString(int v)

#### toString

    public static String toString(long v)

#### toString

    public static String toString(double v)

#### toString

    public static String toString(float v)

#### notFinite

    public static boolean notFinite(double value)

Helper method to verify whether given `double` value is finite (regular rational number} or not (NaN or Infinity).

Parameters:
  `value` - `double` value to check
Returns:
  True if number is NOT finite (is Infinity or NaN); false otherwise Since 2.10

#### notFinite

    public static boolean notFinite(float value)

Helper method to verify whether given `float` value is finite (regular rational number} or not (NaN or Infinity).

Parameters:
  `value` - `float` value to check
Returns:
  True if number is NOT finite (is Infinity or NaN); false otherwise Since 2.10